.TH "GIT-UBUNTU-CLONE" "1" "2017-07-19" "Git-Ubuntu 0.2" "Git-Ubuntu Manual"

.SH "NAME"
git-ubuntu clone \- Clone a Ubuntu source package repository into a new directory
.SH "SYNOPSIS"
.SP
.NF
\fIgit ubuntu clone\fR [\-\-lp-user <user>] <package> [<directory>]
.FI
.SP
.SH "DESCRIPTION"
.SP
Clones a Ubuntu source package repository given just the source package
name\&.
A remote named "pkg" will be created to track branches from the importer
repository (See \fBgit-ubuntu-import\fR for details)\&.
A remote named after the derived Launchpad user will be created for
tracking their personal branches\&.
The resulting repository is a regular \fBgit\fR(1) repository and all
normal \fBgit\fR(1) commands can be used.
See \fBgit-clone\fR(1) for common operations after cloning\&.
.SP
.SH "OPTIONS"
.PP
\-\-lp-user <user>
.RS 4
The Launchpad user to authenticate as for push URLs as well as
the default personal remote to create\&.
If not specified, this value is obtained from "git config --global
gitubuntu.lpuser"\&.
If that config value is not set, a prompt is shown to obtain the
value\&.
.RE
.PP
<package>
.RS 4
The name of the source package to clone\&.
.RE
.PP
<directory>
.RS 4
The name of the new directory to clone into\&.
If not specified, a directory with the same name as \fB<package>\fR is
used\&.
.RE
.SP
.SH "EXIT STATUS"
.SP
\fIgit ubuntu clone\fR exits with status 0 if the clone completes
successfully\&.
\fIgit ubuntu clone\fR exits with nonzero exit status on errors\&.
.SP
.SH "REPORTING BUGS"
.SP
Report bugs at
.UR https://bugs.launchpad.net/git-ubuntu
.UE
\.
.SP
.SH "SEE ALSO"
.SP
\fBgit-ubuntu\fR(1), \fBgit-clone\fR(1)
.SP
.SH "GIT-UBUNTU"
Part of the \fBgit-ubuntu\fR(1) suite
